FROM python:3.13.13

WORKDIR /workspace

RUN apt-get update && apt-get install -y --no-install-recommends \
    build-essential \
    && rm -rf /var/lib/apt/lists/*

COPY requirements.txt .
RUN pip install --no-cache-dir \
    --trusted-host pypi.org \
    --trusted-host pypi.python.org \
    --trusted-host files.pythonhosted.org \
    -r requirements.txt
RUN apt-get update && apt-get install -y git

COPY . .

RUN chmod +x start.sh

EXPOSE 8000
EXPOSE 8001

CMD ["./start.sh"]